libzypp: zypp::Digest::P Class Reference

libzypp 17.38.11

zypp::Digest::P Class Reference

## Public Types
using | EvpDataPtr = zypp::shared_ptr<EVP_MD_CTX>

## Public Member Functions
| P ()
| ~P ()
bool | maybeInit ()
void | cleanup ()

## Public Attributes
EvpDataPtr | mdctx
const EVP_MD * | md
unsigned char | md_value [EVP_MAX_MD_SIZE]
unsigned | md_len
zypp::ByteCount | bytesHashed
bool | finalized: 1
std::string | name

## Static Public Attributes
static bool | openssl_digests_added = false

## Private Member Functions
| P (const P &p)=delete
const P & | operator= (const P &p)=delete
| P (P &&)=delete
P & | operator= (P &&)=delete

## Detailed Description

Definition at line 61 of file Digest.cc.

## Member Typedef Documentation

## ◆ EvpDataPtr

using zypp::Digest::P::EvpDataPtr = zypp::shared_ptr<EVP_MD_CTX>

Definition at line 69 of file Digest.cc.

## Constructor & Destructor Documentation

## ◆ P() [1/3]

zypp::Digest::P::P | ( | const P & | p | ) |
| privatedelete

## ◆ P() [2/3]

zypp::Digest::P::P | ( | P && |  | ) |
| privatedelete

## ◆ P() [3/3]

zypp::Digest::P::P | ( |  | ) |

Definition at line 96 of file Digest.cc.

## ◆ ~P()

zypp::Digest::P::~P | ( |  | ) |

Definition at line 102 of file Digest.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

const P & zypp::Digest::P::operator= | ( | const P & | p | ) |
| privatedelete

## ◆ operator=() [2/2]

P & zypp::Digest::P::operator= | ( | P && |  | ) |
| privatedelete

## ◆ maybeInit()

bool zypp::Digest::P::maybeInit | ( |  | ) |
| inline

Definition at line 107 of file Digest.cc.

## ◆ cleanup()

void zypp::Digest::P::cleanup | ( |  | ) |
| inline

Definition at line 172 of file Digest.cc.

## Member Data Documentation

## ◆ mdctx

EvpDataPtr zypp::Digest::P::mdctx

Definition at line 73 of file Digest.cc.

## ◆ md

const EVP_MD* zypp::Digest::P::md

Definition at line 77 of file Digest.cc.

## ◆ md_value

unsigned char zypp::Digest::P::md_value[EVP_MAX_MD_SIZE]

Definition at line 79 of file Digest.cc.

## ◆ md_len

unsigned zypp::Digest::P::md_len

Definition at line 80 of file Digest.cc.

## ◆ bytesHashed

zypp::ByteCount zypp::Digest::P::bytesHashed

Definition at line 81 of file Digest.cc.

## ◆ finalized

bool zypp::Digest::P::finalized

Definition at line 83 of file Digest.cc.

## ◆ openssl_digests_added

bool zypp::Digest::P::openssl_digests_added = false
| static

Definition at line 84 of file Digest.cc.

## ◆ name

std::string zypp::Digest::P::name

Definition at line 86 of file Digest.cc.

The documentation for this class was generated from the following file:

- zypp-core/Digest.cc